# SingleEntryModuleLibrary

constructor(library: FilePath, javadoc: Set<FilePath>, source: Set<FilePath>, scope: String)

Creates single entry module library

#### Parameters

library

a path to jar or class folder in idea format

javadoc

paths to javadoc jars or javadoc folders

source

paths to source jars or source folders

scope

scope

constructor(library: FilePath, @Nullable javadoc: @Nullable FilePath, @Nullable source: @Nullable FilePath, scope: String)

Creates single entry module library

#### Parameters

library

a path to jar or class folder in idea format

javadoc

path to javadoc jars or javadoc folders

source

paths to source jars or source folders

scope

scope

constructor(library: FilePath, scope: String)

Creates single entry module library

#### Parameters

library

a path to jar or class folder in Path format

scope

scope